Summary:	The Open Source Texas-Holdem Poker Engine
Summary(pl.UTF-8):	Silnik gry Texas-Holdem poker
Name:		pokerth
Version:	1.1.1
Release:	5
License:	GPL v2+
Group:		X11/Applications/Games
Source0:	http://downloads.sourceforge.net/pokerth/PokerTH-%{version}-src.tar.bz2
# Source0-md5:	a7f76f95782099f966e5f2b6809f502a
Patch0:		x32.patch
Patch1:		boost-1.60.patch
Patch2:		ownerless.patch
Patch3:		cxx11-build.patch
Patch4:		cxx11-fixes.patch
Patch5:		system-qtsingleapp.patch
Patch6:		moc.patch
Patch7:		%{name}-protobuf.patch
URL:		http://www.pokerth.net/
BuildRequires:	QtCore-devel >= 4.3.1
BuildRequires:	QtGui-devel >= 4.3.1
BuildRequires:	QtNetwork-devel
BuildRequires:	QtSingleApplication-devel
BuildRequires:	QtSql-devel
BuildRequires:	SDL_mixer-devel
BuildRequires:	boost-devel >= 1.37.0-3
BuildRequires:	curl-devel >= 7.16
BuildRequires:	gnutls-devel
BuildRequires:	gsasl-devel
BuildRequires:	libircclient-devel
BuildRequires:	protobuf-devel
BuildRequires:	qt4-build >= 4.3.1
BuildRequires:	qt4-qmake >= 4.3.1
BuildRequires:	sed >= 4.0
BuildRequires:	tinyxml-devel
BuildRequires:	zlib-devel >= 1.2.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PokerTH is a poker game written in C++/Qt4. You can play the popular
"Texas Hold'em" poker variant against up to six computer-opponents or
play network games with people all over the world. This poker engine
is available for Linux, Windows, and MacOS X.

%description -l pl.UTF-8
PokerTH to komputerowa gra w pokera napisana w C++/Qt4. Umożliwia ona
grę w popularny wariant "Texas Hold'em" przeciwko maksymalnie sześciu
komputerowym przeciwnikom lub sieciową grę z innymi zawodnikami.
Silnik gry dostępny jest na platformy Linux, Windows oraz MacOS X.

%prep
%setup -q -n PokerTH-%{version}-src
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1

%{__rm} -r src/third_party/qtsingleapplication

%build
qmake-qt4 pokerth.pro \
	QMAKE_CXX="%{__cxx}" \
	QMAKE_CXXFLAGS_RELEASE="%{rpmcxxflags}"
	QMAKE_LFLAGS_RELEASE="%{rpmldflags}"
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}
%{__make} install \
	INSTALL_ROOT=$RPM_BUILD_ROOT

install pokerth bin/pokerth_server $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog TODO
%attr(755,root,root) %{_bindir}/pokerth*
%{_desktopdir}/%{name}.desktop
%{_pixmapsdir}/%{name}.png
%{_datadir}/%{name}
%changelog
* Fri Oct 19 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/pokerth.git;a=log;h=master

* Fri Oct 19 2018 Jakub Bogusz <qboosh@pld-linux.org> 1fdf143
- release 5 (rebuild with protobuf 3.6)

* Tue Dec 12 2017 Jakub Bogusz <qboosh@pld-linux.org> d0841e2
- added protobuf patch (fixes regeneration with recent protoc, required by protobuf 3.5)
- release 4

* Mon Apr 17 2017 Jan Rękorajski <baggins@pld-linux.org> da5123d
- rebuild with protobuf 3.2
- release 3 (by relup.sh)

* Wed Apr 12 2017 Jan Rękorajski <baggins@pld-linux.org> 072aff6
- add build fixes from fedora
- fix moc parsing
- rel 2

* Fri May 27 2016 Jan Rękorajski <baggins@pld-linux.org> bc1371f
- up to 1.1.1
- added upstream fix to build with boost 1.60+

* Sat Nov 14 2015 Jan Rękorajski <baggins@pld-linux.org> 2c528e2
- release 7 (by relup.sh)

* Sat Jun 27 2015 Jan Rękorajski <baggins@pld-linux.org> d89f689
- fixed building on x32
- rel 6

* Mon Feb 16 2015 Jan Rękorajski <baggins@pld-linux.org> 7e28583
- rebuild with boost 1.57.0
- release 5 (by relup.sh)

* Mon Oct 27 2014 Jan Rękorajski <baggins@pld-linux.org> 78e8e67
- release 4 (by relup.sh)

* Sat Oct 25 2014 Jan Rękorajski <baggins@pld-linux.org> b05393f
- rebuild with boost 1.56.0
- release 3 (by relup.sh)

* Sun Feb 02 2014 Jan Rękorajski <baggins@pld-linux.org> 31673ba
- - rebuild with boost 1.55.0
- release 2 (by relup.sh)

* Thu Jan 02 2014 Jan Rękorajski <baggins@pld-linux.org> 2a63ac0
- updated to 1.1

* Wed Dec 25 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 4439851
- release 2 (by relup.sh)

* Sun Jul 14 2013 Jan Rękorajski <baggins@pld-linux.org> 85362a9
- updated to 1.0.1
- removed obsolete patch

* Wed Sep 19 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 0829575
- release 2 (by relup.sh)

* Thu Jul 12 2012 Jan Rękorajski <baggins@pld-linux.org> a004947
- Add libircclient BR and use all required headers from it

* Wed Jul 11 2012 Jan Rękorajski <baggins@pld-linux.org> 8482ca5
- BR tinyxml-devel

* Wed Jul 11 2012 Jan Rękorajski <baggins@pld-linux.org> 1c26679
- BOOST_FILESYSTEM V2 is gone in boost 1.50

* Wed Jul 11 2012 Jan Rękorajski <baggins@pld-linux.org> bc4e1ad
- Updated to 0.9.5

* Sun Mar 11 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 8ea0569
- release 2

